de.esprit.appsuite.io.parser

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.appsuite.io.parser.ParseException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    UnexpectedEndOfFileException, UnexpectedKeywordException

      public class ParseException
      extends ZException

  This is the base class for all ParseException subtypes
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException(int lineNo, FileInfo fileInfo, java.lang.Exception cause)`
    `ParseException(int lineNo, FileInfo fileInfo, NlsKey nls, java.lang.Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileInfo` | `getFileInfo()`
    `int` | `getLineNumber()`
    `java.lang.String` | `getMessage()` Overridden to return the translated error message

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseException

          public ParseException(int lineNo,
                        FileInfo fileInfo,
                        java.lang.Exception cause)

    - #### ParseException

          public ParseException(int lineNo,
                        FileInfo fileInfo,
                        NlsKey nls,
                        java.lang.Object... args)

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

    - #### getFileInfo

          public FileInfo getFileInfo()

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from class: `ZException`
      Overridden to return the translated error message
      Overrides:
        `getMessage` in class `ZException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.